PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
PDevicePluginAdapterBase Class Referenceabstract

`#include <plugin.h>`

Inheritance diagram for PDevicePluginAdapterBase:
[legend]

## Public Member Functions
| PDevicePluginAdapterBase ()
virtual | ~PDevicePluginAdapterBase ()
virtual void | CreateFactory (const PString &device)=0

## Constructor & Destructor Documentation

PDevicePluginAdapterBase::PDevicePluginAdapterBase | ( |  | ) |
| inline

virtual PDevicePluginAdapterBase::~PDevicePluginAdapterBase | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void PDevicePluginAdapterBase::CreateFactory | ( | const PString & | device | ) |
| pure virtual

Implemented in PDevicePluginAdapter< DeviceBase >.

The documentation for this class was generated from the following file:

- plugin.h